Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.terminal
Class TerminalIO

    java.lang.Object
      com.sshtools.daemon.terminal.TerminalIO

All Implemented Interfaces:
  PseudoTerminal

public class TerminalIO
extends java.lang.Object
implements PseudoTerminal

DOCUMENT ME!

Field Summary
`static int` | `BACKSPACE` DOCUMENT ME!
`static int` | `BCOLOR` DOCUMENT ME!
`static int` | `BEL` DOCUMENT ME!
`static int` | `BLACK` DOCUMENT ME!
`static int` | `BLINK` DOCUMENT ME!
`static int` | `BLINK_OFF` DOCUMENT ME!
`static int` | `BLUE` DOCUMENT ME!
`static int` | `BOLD` DOCUMENT ME!
`static int` | `BOLD_OFF` DOCUMENT ME!
`static int` | `BS` DOCUMENT ME!
`static int` | `BYTEMISSING` DOCUMENT ME!
`static int` | `CharacterUpdate` DOCUMENT ME!
`static int` | `COLORINIT` DOCUMENT ME!
`static int` | `CR` DOCUMENT ME!
`static java.lang.String` | `CRLF` DOCUMENT ME!
`static int` | `CYAN` DOCUMENT ME!
`static int` | `DEL` DOCUMENT ME!
`static int` | `DELETE` DOCUMENT ME!
`static int` | `DOWN` DOCUMENT ME!
`static int` | `EBOL` DOCUMENT ME!
`static int` | `EBOS` DOCUMENT ME!
`static int` | `EditBuffer` DOCUMENT ME!
`static int` | `EEL` DOCUMENT ME!
`static int` | `EEOL` DOCUMENT ME!
`static int` | `EEOS` DOCUMENT ME!
`static int` | `EES` DOCUMENT ME!
`static int` | `ENTER` DOCUMENT ME!
`static int` | `EOL_CR` DOCUMENT ME!
`static int` | `EOL_CRLF` DOCUMENT ME!
`static int` | `ESCAPE` DOCUMENT ME!
`static int` | `FCOLOR` DOCUMENT ME!
`static int` | `GREEN` DOCUMENT ME!
`static int` | `HANDLED` DOCUMENT ME!
`static int[]` | `HOME` DOCUMENT ME!
`static int` | `IOERROR` DOCUMENT ME!
`static int` | `ITALIC` DOCUMENT ME!
`static int` | `ITALIC_OFF` DOCUMENT ME!
`static int` | `LEFT` DOCUMENT ME!
`static int` | `LF` DOCUMENT ME!
`static int` | `LineEditBuffer` DOCUMENT ME!
`static int` | `LineUpdate` DOCUMENT ME!
`static int` | `LOGOUTREQUEST` DOCUMENT ME!
`static int` | `MAGENTA` DOCUMENT ME!
`static int` | `RED` DOCUMENT ME!
`static int` | `RESET` DOCUMENT ME!
`static int` | `RESTORECURSOR` DOCUMENT ME!
`static int` | `RIGHT` DOCUMENT ME!
`static int` | `ScreenpartUpdate` DOCUMENT ME!
`static int` | `STORECURSOR` DOCUMENT ME!
`static int` | `STYLE` DOCUMENT ME!
`static int` | `TABULATOR` DOCUMENT ME!
`static int` | `UNDERLINED` DOCUMENT ME!
`static int` | `UNDERLINED_OFF` DOCUMENT ME!
`static int` | `UNRECOGNIZED` DOCUMENT ME!
`static int` | `UP` DOCUMENT ME!
`static int` | `white` DOCUMENT ME!
`static int` | `YELLOW` DOCUMENT ME!

Fields inherited from interface com.sshtools.j2ssh.session.PseudoTerminal
`CS7, CS8, ECHO, ECHOCTL, ECHOE, ECHOK, ECHOKE, ECHONL, ICANON, ICRNL, IEXTEN, IGNCR, IGNPAR, IMAXBEL, INLCR, INPCK, ISIG, ISTRIP, IUCLC, IXANY, IXOFF, IXON, NOFLSH, OCRNL, OLCUC, ONLCR, ONLRET, ONOCR, OPOST, PARENB, PARMRK, PARODD, PENDIN, TOSTOP, TTY_OP_END, TTY_OP_ISPEED, TTY_OP_OSPEED, VDISCARD, VDSUSP, VEOF, VEOL, VEOL2, VERASE, VFLUSH, VINTR, VKILL, VLNEXT, VQUIT, VREPRINT, VSTART, VSTATUS, VSTOP, VSUSP, VSWTCH, VWERASE, XCASE`

Constructor Summary
`TerminalIO(java.io.InputStream in, java.io.OutputStream out, java.lang.String term, int cols, int rows)`

Method Summary
`void` | `attachStreams(java.io.InputStream in, java.io.OutputStream out)` DOCUMENT ME!
`void` | `bell()` DOCUMENT ME!
`void` | `bindSlaveInputStream(java.io.InputStream slaveIn)` DOCUMENT ME!
`void` | `bindSlaveOutputStream(java.io.OutputStream slaveOut)` DOCUMENT ME!
`void` | `close()` DOCUMENT ME!
`void` | `closeInput()` DOCUMENT ME!
`void` | `closeOutput()` DOCUMENT ME!
`boolean` | `defineScrollRegion(int topmargin, int bottommargin)` DOCUMENT ME!
`void` | `detachStreams()` DOCUMENT ME!
`void` | `eraseLine()` DOCUMENT ME!
`void` | `eraseScreen()` DOCUMENT ME!
`void` | `eraseToBeginOfLine()` DOCUMENT ME!
`void` | `eraseToBeginOfScreen()` DOCUMENT ME!
`void` | `eraseToEndOfLine()` DOCUMENT ME!
`void` | `eraseToEndOfScreen()` DOCUMENT ME!
`void` | `flush()` DOCUMENT ME!
`java.io.InputStream` | `getAttachedInputStream()`
`java.io.OutputStream` | `getAttachedOutputStream()` DOCUMENT ME!
`int` | `getColumns()` DOCUMENT ME!
`java.lang.String` | `getEncodedTerminalModes()` DOCUMENT ME!
`int` | `getEOL()` DOCUMENT ME!
`java.lang.String` | `getEOLString()` DOCUMENT ME!
`int` | `getHeight()` DOCUMENT ME!
`java.io.InputStream` | `getMasterInputStream()` DOCUMENT ME!
`int` | `getRows()` DOCUMENT ME!
`java.io.OutputStream` | `getSlaveOutputStream()` DOCUMENT ME!
`java.lang.String` | `getTerm()` DOCUMENT ME!
`Terminal` | `getTerminal()` DOCUMENT ME!
`int` | `getWidth()` DOCUMENT ME!
`void` | `homeCursor()` DOCUMENT ME!
`boolean` | `isAutoflushing()` DOCUMENT ME!
`boolean` | `isSignalling()` DOCUMENT ME!
`void` | `moveCursor(int direction, int times)` DOCUMENT ME!
`void` | `moveDown(int times)` DOCUMENT ME!
`void` | `moveLeft(int times)` DOCUMENT ME!
`void` | `moveRight(int times)` DOCUMENT ME!
`void` | `moveUp(int times)` DOCUMENT ME!
`void` | `println()` DOCUMENT ME!
`void` | `println(java.lang.String str)` DOCUMENT ME!
`int` | `read()` DOCUMENT ME!
`void` | `resetAttributes()` DOCUMENT ME!
`void` | `restoreCursor()` DOCUMENT ME!
`void` | `setAutoflushing(boolean b)` DOCUMENT ME!
`void` | `setBackgroundColor(int color)` DOCUMENT ME!
`void` | `setBlink(boolean b)` DOCUMENT ME!
`void` | `setBold(boolean b)` DOCUMENT ME!
`void` | `setCursor(int row, int col)` DOCUMENT ME!
`void` | `setDefaultTerminal()`
`void` | `setEOL(int eol)` DOCUMENT ME!
`void` | `setForegroundColor(int color)` DOCUMENT ME!
`void` | `setItalic(boolean b)` DOCUMENT ME!
`void` | `setSignalling(boolean bool)` DOCUMENT ME!
`void` | `setTerminal(java.lang.String terminalName)` DOCUMENT ME!
`void` | `setUnderlined(boolean b)` DOCUMENT ME!
`void` | `storeCursor()` DOCUMENT ME!
`void` | `write(byte b)` DOCUMENT ME!
`void` | `write(byte[] sequence)` DOCUMENT ME!
`void` | `write(char ch)` DOCUMENT ME!
`void` | `write(int i)` DOCUMENT ME!
`void` | `write(int[] sequence)` DOCUMENT ME!
`void` | `write(java.lang.String str)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EOL_CRLF

    public static final int EOL_CRLF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### EOL_CR

    public static final int EOL_CR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### HOME

    public static final int[] HOME

  DOCUMENT ME!

### IOERROR

    public static final int IOERROR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### UP

    public static final int UP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### DOWN

    public static final int DOWN

  DOCUMENT ME!

  See Also:
    Constant Field Values

### RIGHT

    public static final int RIGHT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### LEFT

    public static final int LEFT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### STORECURSOR

    public static final int STORECURSOR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### RESTORECURSOR

    public static final int RESTORECURSOR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### EEOL

    public static final int EEOL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### EBOL

    public static final int EBOL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### EEL

    public static final int EEL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### EEOS

    public static final int EEOS

  DOCUMENT ME!

  See Also:
    Constant Field Values

### EBOS

    public static final int EBOS

  DOCUMENT ME!

  See Also:
    Constant Field Values

### EES

    public static final int EES

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ESCAPE

    public static final int ESCAPE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BYTEMISSING

    public static final int BYTEMISSING

  DOCUMENT ME!

  See Also:
    Constant Field Values

### UNRECOGNIZED

    public static final int UNRECOGNIZED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ENTER

    public static final int ENTER

  DOCUMENT ME!

  See Also:
    Constant Field Values

### TABULATOR

    public static final int TABULATOR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### DELETE

    public static final int DELETE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BACKSPACE

    public static final int BACKSPACE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### COLORINIT

    public static final int COLORINIT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### HANDLED

    public static final int HANDLED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### LOGOUTREQUEST

    public static final int LOGOUTREQUEST

  DOCUMENT ME!

  See Also:
    Constant Field Values

### LineUpdate

    public static final int LineUpdate

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CharacterUpdate

    public static final int CharacterUpdate

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ScreenpartUpdate

    public static final int ScreenpartUpdate

  DOCUMENT ME!

  See Also:
    Constant Field Values

### EditBuffer

    public static final int EditBuffer

  DOCUMENT ME!

  See Also:
    Constant Field Values

### LineEditBuffer

    public static final int LineEditBuffer

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BEL

    public static final int BEL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BS

    public static final int BS

  DOCUMENT ME!

  See Also:
    Constant Field Values

### DEL

    public static final int DEL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CR

    public static final int CR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### LF

    public static final int LF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### FCOLOR

    public static final int FCOLOR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BCOLOR

    public static final int BCOLOR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### STYLE

    public static final int STYLE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### RESET

    public static final int RESET

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BOLD

    public static final int BOLD

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BOLD_OFF

    public static final int BOLD_OFF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ITALIC

    public static final int ITALIC

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ITALIC_OFF

    public static final int ITALIC_OFF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BLINK

    public static final int BLINK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BLINK_OFF

    public static final int BLINK_OFF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### UNDERLINED

    public static final int UNDERLINED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### UNDERLINED_OFF

    public static final int UNDERLINED_OFF

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BLACK

    public static final int BLACK

  DOCUMENT ME!

  See Also:
    Constant Field Values

### RED

    public static final int RED

  DOCUMENT ME!

  See Also:
    Constant Field Values

### GREEN

    public static final int GREEN

  DOCUMENT ME!

  See Also:
    Constant Field Values

### YELLOW

    public static final int YELLOW

  DOCUMENT ME!

  See Also:
    Constant Field Values

### BLUE

    public static final int BLUE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### MAGENTA

    public static final int MAGENTA

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CYAN

    public static final int CYAN

  DOCUMENT ME!

  See Also:
    Constant Field Values

### white

    public static final int white

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CRLF

    public static final java.lang.String CRLF

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### TerminalIO

    public TerminalIO(java.io.InputStream in,
                      java.io.OutputStream out,
                      java.lang.String term,
                      int cols,
                      int rows)
               throws java.io.IOException

Method Detail

### getMasterInputStream

    public java.io.InputStream getMasterInputStream()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### bindSlaveInputStream

    public void bindSlaveInputStream(java.io.InputStream slaveIn)

  DOCUMENT ME!

  Parameters:
    `slaveIn` - DOCUMENT ME!

### bindSlaveOutputStream

    public void bindSlaveOutputStream(java.io.OutputStream slaveOut)

  DOCUMENT ME!

  Parameters:
    `slaveOut` - DOCUMENT ME!

### getSlaveOutputStream

    public java.io.OutputStream getSlaveOutputStream()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getWidth

    public int getWidth()

  DOCUMENT ME!

  Specified by:
    `getWidth` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

### getHeight

    public int getHeight()

  DOCUMENT ME!

  Specified by:
    `getHeight` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

### getTerm

    public java.lang.String getTerm()

  DOCUMENT ME!

  Specified by:
    `getTerm` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

### getEncodedTerminalModes

    public java.lang.String getEncodedTerminalModes()

  DOCUMENT ME!

  Specified by:
    `getEncodedTerminalModes` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

### getAttachedInputStream

    public java.io.InputStream getAttachedInputStream()
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getAttachedOutputStream

    public java.io.OutputStream getAttachedOutputStream()
                                                 throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### detachStreams

    public void detachStreams()

  DOCUMENT ME!

### getEOL

    public int getEOL()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getEOLString

    public java.lang.String getEOLString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setEOL

    public void setEOL(int eol)

  DOCUMENT ME!

  Parameters:
    `eol` - DOCUMENT ME!

### attachStreams

    public void attachStreams(java.io.InputStream in,
                              java.io.OutputStream out)

  DOCUMENT ME!

  Parameters:
    `in` - DOCUMENT ME!
    `out` - DOCUMENT ME!

### read

    public int read()
             throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### write

    public void write(char ch)
               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `ch` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### write

    public void write(java.lang.String str)
               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `str` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### println

    public void println(java.lang.String str)
                 throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `str` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### println

    public void println()
                 throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### eraseToEndOfLine

    public void eraseToEndOfLine()
                          throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### eraseToBeginOfLine

    public void eraseToBeginOfLine()
                            throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### eraseLine

    public void eraseLine()
                   throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### eraseToEndOfScreen

    public void eraseToEndOfScreen()
                            throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### eraseToBeginOfScreen

    public void eraseToBeginOfScreen()
                              throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### eraseScreen

    public void eraseScreen()
                     throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### moveCursor

    public void moveCursor(int direction,
                           int times)
                    throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `direction` - DOCUMENT ME!
    `times` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### moveLeft

    public void moveLeft(int times)
                  throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `times` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### moveRight

    public void moveRight(int times)
                   throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `times` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### moveUp

    public void moveUp(int times)
                throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `times` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### moveDown

    public void moveDown(int times)
                  throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `times` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setCursor

    public void setCursor(int row,
                          int col)
                   throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `row` - DOCUMENT ME!
    `col` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### homeCursor

    public void homeCursor()
                    throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### storeCursor

    public void storeCursor()
                     throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### restoreCursor

    public void restoreCursor()
                       throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### closeInput

    public void closeInput()
                    throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### write

    public void write(byte b)
               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### write

    public void write(int i)
               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `i` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### write

    public void write(byte[] sequence)
               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `sequence` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### write

    public void write(int[] sequence)
               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `sequence` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### flush

    public void flush()
               throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### closeOutput

    public void closeOutput()
                     throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setSignalling

    public void setSignalling(boolean bool)

  DOCUMENT ME!

  Parameters:
    `bool` - DOCUMENT ME!

### isSignalling

    public boolean isSignalling()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### bell

    public void bell()
              throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### defineScrollRegion

    public boolean defineScrollRegion(int topmargin,
                                      int bottommargin)
                               throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `topmargin` - DOCUMENT ME!
    `bottommargin` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setForegroundColor

    public void setForegroundColor(int color)
                            throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `color` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setBackgroundColor

    public void setBackgroundColor(int color)
                            throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `color` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setBold

    public void setBold(boolean b)
                 throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setUnderlined

    public void setUnderlined(boolean b)
                       throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setItalic

    public void setItalic(boolean b)
                   throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setBlink

    public void setBlink(boolean b)
                  throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### resetAttributes

    public void resetAttributes()
                         throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### isAutoflushing

    public boolean isAutoflushing()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setAutoflushing

    public void setAutoflushing(boolean b)

  DOCUMENT ME!

  Parameters:
    `b` - DOCUMENT ME!

### close

    public void close()
               throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getTerminal

    public Terminal getTerminal()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setDefaultTerminal

    public void setDefaultTerminal()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### setTerminal

    public void setTerminal(java.lang.String terminalName)
                     throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `terminalName` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getRows

    public int getRows()

  DOCUMENT ME!

  Specified by:
    `getRows` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

### getColumns

    public int getColumns()

  DOCUMENT ME!

  Specified by:
    `getColumns` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD